namespace Wizard.Battle.Phase;

public class RecoveryNetworkBattleMainPhaseCreator : NetworkBattlePhaseCreator
{
	public RecoveryNetworkBattleMainPhaseCreator(NetworkBattleManagerBase battleMgr)
		: base(battleMgr)
	{
	}

	public override IPhase CreateMulliganPhase()
	{
		return new RecoveryNetworkAfterSubmitMulliganPhase(_networkBattleManager, _networkBattleManager.NetworkSender);
	}
}
